FrostWire 4.21.7 First Install

Enhance your FrostWire 4.21.7 by upgrading to the latest version of Java 1.6 or later.